---
title: "about:config"
date: 2025-04-01T22:05:08+02:00
lastmod: 0001-01-01T00:00:00+01:00
publishdate: 2025-04-01T22:05:08+02:00
description: "Dans les entrailles de Firefox"
weight: 10
categories: ["tech", "firefox"]
tags: ["about:config"]
---

Firefox est configurable de manière très fine.
On connait évidemment la page des paramètres mais il existe une foultitude de paramètres accessibles via une page spéciale : `about:config`.

Lorsqu'on tape cette commande dans la barre d'adresse du navigateur, on voit un message qui fait peur et qui dit qu'on risque de tout casser.
C'est pas faux mais si on sait ce qu'on fait, ça va, donc on accepte et on dit qu'on veut plus voir ce message.

Du coup on va voir les principaux paramètres que j'ai changé dans ma config.

```properties
# mettre le cache en RAM et pas sur le disque (source https://doc.ubuntu-fr.org/tmpfs)
browser.cache.memory.enable = true
browser.cache.disk.enable = false

# supprimer toute la merde IA de firefox
browser.ml.enable = false

# Autorise d'ajouter un moteur de recherche personnalisé dans le menu des moteurs de recherche
browser.urlbar.update2.engineAliasRefresh = true

# Interdit aux sites d'interdire de copier du texte
dom.event.clipboardevents.enabled = false

# Enlève cette satanée traduction automatique
browser.translations.enable = false
```
